VirtualBox

Ticket #9763 (closed defect: fixed)

Opened 5 years ago

Last modified 9 months ago

vboxwebsrv for virtualbox 4.1.4 doesn't work with gsoap 2.8.3

Reported by: claudio.f Owned by:
Priority: major Component: webservices
Version: VirtualBox 4.1.4 Keywords: vboxwebsrv,gsoap,headers
Cc: Guest type: other
Host type: Linux

Description (last modified by frank) (diff)

I'm using phpvirtualbox to manage VM, through vboxwebsrv, on Archlinux. Release 4.1.2 of VBox worked fine, instead 4.1.4 doesn't at all. Message error from phpvirtualbox is "Error Fetching http headers".

After some tries ( http://tinyurl.com/3ceasmu), the cause seems to be linked to gsoap 2.8.3. VirtualBox 4.1.4, compiled with gsoap 2.8.2, works as espected.

vboxwebsrv binary copied from packages, downloaded from virtualbox.org/wiki/downloads, works as espected (I tested personally LINUX_32BITS_UBUNTU_8_04).

Thanks

Change History

comment:1 Changed 9 months ago by frank

  • Status changed from new to closed
  • Resolution set to fixed
  • Description modified (diff)
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use